server {
    listen 80;
    server_name conservatoire.vincennes.fr;

    access_log  /var/log/nginx/conservatoire.vincennes.fr-access.log combined;
    error_log  /var/log/nginx/conservatoire.vincennes.fr-error.log;

    return 301 https://$host$request_uri;
}

server {
    listen 443;

    server_name conservatoire.vincennes.fr;

    include includes/ssl.conf;
    include includes/wildcard.test.entrouvert.org.conf;


    access_log  /var/log/nginx/conservatoire.vincennes.fr-access.log combined;
    error_log  /var/log/nginx/conservatoire.vincennes.fr-error.log;

    location ~ ^/*$ {
      set $weird_uri Connect.aspx?key=CV4j27Em0dM=;
      return 302 /$weird_uri;
    }

    location /Common/ChangeYear.aspx {
      sub_filter </head> '<link rel="stylesheet" href="/_mandaye/static/css/font-awesome.min.css" type="text/css"/>';
      proxy_pass http://new.extranet.duonet.fr;
    }

    location ~ ^/_mandaye/static/(.+)$ {
         root /;
         try_files /var/lib/mandayejs/tenants/$host/static/$1
                   /var/lib/mandayejs/collectstatic/$1
                   =404;

    }

    location /_mandaye/ {
      proxy_pass  http://unix:/run/mandayejs/mandayejs.sock;
      proxy_set_header   Host $http_host;
      proxy_set_header   X-Forwarded-SSL on;
      proxy_set_header   X-Forwarded-Protocol ssl;
      proxy_set_header   X-Forwarded-Proto https;
      proxy_set_header   X-Real-IP       $remote_addr;
      proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_set_header   X-Forwarded-Host $server_name;
    }

    location /__version__ {
      proxy_pass  http://unix:/run/mandayejs/mandayejs.sock;
      proxy_set_header   Host $http_host;
      proxy_set_header   X-Forwarded-SSL on;
      proxy_set_header   X-Forwarded-Protocol ssl;
      proxy_set_header   X-Forwarded-Proto https;
      proxy_set_header   X-Real-IP       $remote_addr;
      proxy_set_header   X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_set_header   X-Forwarded-Host $server_name;
    }

    location / {
      sub_filter </head> '<script type="text/javascript" src="$scheme://$server_name/_mandaye/static/mandaye.js"></script></head>';
      sub_filter_once off;
      proxy_pass http://new.extranet.duonet.fr;
    }

}
