# mandayejs - saml reverse proxy
# Copyright (C) 2015  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
from __future__ import absolute_import

from django.conf.urls import patterns, include, url
from django.contrib import admin
from django.conf import settings

from mandayejs.applications import app_web_services

urlpatterns = patterns('',
    url(r'^_mandaye/home/$', 'mandayejs.mandaye.views.home', name='home'),
    url(r'^_mandaye/panel$', 'mandayejs.mandaye.views.panel', name='panel'),
    url(r'^_mandaye/associate/$', 'mandayejs.mandaye.views.associate', name='associate'),
    url(r'^_mandaye/dissociate/$', 'mandayejs.mandaye.views.dissociate', name='dissociate'),
    url(r'^_mandaye/post-login/$', 'mandayejs.mandaye.views.post_login', name='post-login'),
    url(r'^_mandaye/post-login-do/$', 'mandayejs.mandaye.views.post_login_do', name='post-login-do'),
    url(r'^_mandaye/admin/', include(admin.site.urls)),
    url(r'^_mandaye/ws/(?P<path>.*)$', app_web_services, name='app-web-services'),
    url(r'^_mandaye/api/$', 'mandayejs.mandaye.api.api', name='api'),
    url(r'^_mandaye/api/stats/$', 'mandayejs.mandaye.api.api_stats', name='api-stats')
)

if 'mellon' in settings.INSTALLED_APPS:
    urlpatterns += patterns('',
        url(r'^_mandaye/logout/$', 'mandayejs.mandaye.views.logout', name='logout'),
        url(r'^_mandaye/accounts/mellon/', include('mellon.urls')),
    )
