import pytest

from django.contrib.auth.models import User
from mellon.models import UserSAMLIdentifier

from mandayejs.mandaye.models import UserCredentials

pytestmark = pytest.mark.django_db


def create_user(**kwargs):
    password = kwargs.pop('password', None) or kwargs.get('username')
    user, created = User.objects.get_or_create(**kwargs)
    if password:
        user.set_password(password)
        user.save()
    return user


def get_user(**kwargs):
    try:
        user = User.objects.get(**kwargs)
        return user
    except (User.DoesNotExist,):
        return None


def get_uuid(**kwargs):
    try:
        uuid = UserSAMLIdentifier.objects.get(**kwargs)
        return uuid
    except (UserSAMLIdentifier.DoesNotExist):
        return None


def create_credentials(user, credentials):
    cred, created = UserCredentials.objects.get_or_create(user=user, locators=credentials)
    return cred
